Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.lib
Interface Initializer

    public interface Initializer

This interface can be implemented by users (there are no implementations in Saxon itself). It is used only when Saxon is invoked from the command line, and the -init:class option is used on the command line to nominate an implementation of this class. The initialize() method of the supplied class will then be called to perform any user-defined initialization of the Configuration. The initializer is invoked after all other options on the command line have been processed; the initializer can therefore examine the Configuration to see what options have been set, and it can modify them accordingly.

Since:
  9.3

Method Summary
`void` | `initialize(Configuration config)` Initialize the Configuration

Method Detail

### initialize

    void initialize(Configuration config)

  Initialize the Configuration

  Parameters:
    `config` - the Configuration to be initialized

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.